# Class Charset

java.lang.Object
java.nio.charset.Charset

All Implemented Interfaces:
  `Comparable<Charset>`

public class Charset extends Object implements Comparable<Charset>
Added this for Kotlin

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Charset(String canonicalName, String[] aliases)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Charset another)`
  Compares this object to the specified object to determine their relative order.
  `String`
  `displayName()`
  `static Charset`
  `forName(String name)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Charset

    protected Charset(String canonicalName, String[] aliases)

- ## Method Details

  - ### compareTo

    public int compareTo(Charset another)
    Description copied from interface: `Comparable`
    Compares this object to the specified object to determine their relative order.
    Specified by:
      `compareTo` in interface `Comparable<Charset>`
    Parameters:
      `another` - the object to compare to this instance.
    Returns:
      a negative integer if this instance is less than `another`; a positive integer if this instance is greater than `another`; 0 if this instance has the same order as `another`.

  - ### displayName

    public String displayName()

  - ### forName

    public static Charset forName(String name)